Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.util
Class WriterOutputStream

    java.lang.Object
      java.io.OutputStream
          org.apache.fop.util.WriterOutputStream

All Implemented Interfaces:
  java.io.Closeable, java.io.Flushable

Deprecated. use org.apache.xmlgraphics.util.WriterOutputStream instead

    public class WriterOutputStream

extends java.io.OutputStream

See Also:
  `WriterOutputStream`

Constructor Summary
`WriterOutputStream(java.io.Writer writer)` Deprecated.
`WriterOutputStream(java.io.Writer writer, java.lang.String encoding)` Deprecated.

Method Summary
`void` | `close()` Deprecated.
`void` | `flush()` Deprecated.
`void` | `write(byte[] buf)` Deprecated.
`void` | `write(byte[] buf, int offset, int length)` Deprecated.
`void` | `write(int b)` Deprecated.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WriterOutputStream

    public WriterOutputStream(java.io.Writer writer)

  Deprecated.
  Parameters:
    `writer` - a writer

### WriterOutputStream

    public WriterOutputStream(java.io.Writer writer,
                              java.lang.String encoding)

  Deprecated.
  Parameters:
    `writer` - a writer
    `encoding` - stream encoding

Method Detail

### close

    public void close()
               throws java.io.IOException

  Deprecated.

  Specified by:
    `close` in interface `java.io.Closeable`
  Overrides:
    `close` in class `java.io.OutputStream`
  Throws:
    `java.io.IOException`

### flush

    public void flush()
               throws java.io.IOException

  Deprecated.

  Specified by:
    `flush` in interface `java.io.Flushable`
  Overrides:
    `flush` in class `java.io.OutputStream`
  Throws:
    `java.io.IOException`

### write

    public void write(byte[] buf,
                      int offset,
                      int length)
               throws java.io.IOException

  Deprecated.

  Overrides:
    `write` in class `java.io.OutputStream`
  Throws:
    `java.io.IOException`

### write

    public void write(byte[] buf)
               throws java.io.IOException

  Deprecated.

  Overrides:
    `write` in class `java.io.OutputStream`
  Throws:
    `java.io.IOException`

### write

    public void write(int b)
               throws java.io.IOException

  Deprecated.

  Specified by:
    `write` in class `java.io.OutputStream`
  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2012 The Apache Software Foundation. All Rights Reserved.